Skip to main content
GET
/
comfy-nodes
/
{comfyNodeName}
/
node
Retrieve a node by ComfyUI node name
curl --request GET \
  --url https://api.comfy.org/comfy-nodes/{comfyNodeName}/node
import requests

url = "https://api.comfy.org/comfy-nodes/{comfyNodeName}/node"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.comfy.org/comfy-nodes/{comfyNodeName}/node', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "author": "<string>",
  "banner_url": "<string>",
  "category": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "downloads": 123,
  "github_stars": 123,
  "icon": "<string>",
  "id": "<string>",
  "latest_version": {
    "changelog": "<string>",
    "comfy_node_extract_status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "dependencies": [
      "<string>"
    ],
    "deprecated": true,
    "downloadUrl": "<string>",
    "id": "<string>",
    "node_id": "<string>",
    "status_reason": "<string>",
    "supported_accelerators": [
      "<string>"
    ],
    "supported_comfyui_frontend_version": "<string>",
    "supported_comfyui_version": "<string>",
    "supported_os": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ],
    "tags_admin": [
      "<string>"
    ],
    "version": "<string>"
  },
  "license": "<string>",
  "name": "<string>",
  "preempted_comfy_node_names": [
    "<string>"
  ],
  "publisher": {
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "logo": "<string>",
    "members": [
      {
        "id": "<string>",
        "role": "<string>",
        "user": {
          "email": "<string>",
          "id": "<string>",
          "name": "<string>"
        }
      }
    ],
    "name": "<string>",
    "source_code_repo": "<string>",
    "support": "<string>",
    "website": "<string>"
  },
  "rating": 123,
  "repository": "<string>",
  "search_ranking": 123,
  "status_detail": "<string>",
  "supported_accelerators": [
    "<string>"
  ],
  "supported_comfyui_frontend_version": "<string>",
  "supported_comfyui_version": "<string>",
  "supported_os": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "tags_admin": [
    "<string>"
  ],
  "translations": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

comfyNodeName
string
required

The name of the ComfyUI node

Response

Node details

author
string
banner_url
string

URL to the node's banner.

category
string
deprecated

DEPRECATED: The category of the node. Use 'tags' field instead. This field will be removed in a future version.

created_at
string<date-time>

The date and time when the node was created

description
string
downloads
integer

The number of downloads of the node.

github_stars
integer

Number of stars on the GitHub repository.

icon
string

URL to the node's icon.

id
string

The unique identifier of the node.

latest_version
object
license
string

The path to the LICENSE file in the node's repository.

name
string

The display name of the node.

preempted_comfy_node_names
string[]

A list of Comfy node names that are preempted by this node.

publisher
object
rating
number

The average rating of the node.

repository
string

URL to the node's repository.

search_ranking
integer

A numerical value representing the node's search ranking, used for sorting search results.

status
enum<string>
Available options:
NodeStatusActive,
NodeStatusDeleted,
NodeStatusBanned
status_detail
string

The status detail of the node.

supported_accelerators
string[]

List of accelerators (e.g. CUDA, DirectML, ROCm) that this node supports

supported_comfyui_frontend_version
string

Supported versions of ComfyUI frontend

supported_comfyui_version
string

Supported versions of ComfyUI

supported_os
string[]

List of operating systems that this node supports

tags
string[]
tags_admin
string[]

Admin-only tags for security warnings and admin metadata

translations
object

Translations of node metadata in different languages.